Last Comment Bug 745483 - Fatal assert on startup with javascript.options.typeinference set to false
: Fatal assert on startup with javascript.options.typeinference set to false
Status: RESOLVED FIXED
: assertion
Product: Core
Classification: Components
Component: XPConnect (show other bugs)
: Trunk
: x86_64 Mac OS X
: -- critical (vote)
: mozilla14
Assigned To: Bobby Holley (:bholley) (busy with Stylo)
:
:
Mentors:
Depends on:
Blocks: 744034
  Show dependency treegraph
 
Reported: 2012-04-14 14:06 PDT by Jesse Ruderman
Modified: 2012-07-26 07:50 PDT (History)
8 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Don't assert that TI is enabled when the pref is disabled. v1 (3.58 KB, patch)
2012-04-15 17:37 PDT, Bobby Holley (:bholley) (busy with Stylo)
josh: review+
Details | Diff | Splinter Review

Description Jesse Ruderman 2012-04-14 14:06:36 PDT
If I set
  user_pref("javascript.options.typeinference", false);
I hit a fatal assertion on startup:

Assertion failure: JS_GetOptions(cx) & ((uint32_t)1 << (18)), at js/xpconnect/src/nsXPConnect.cpp:1212

The assertion was added in bug 744034. I don't think this is a reasonable thing to assert; the pref exists for a reason.
Comment 1 Bobby Holley (:bholley) (busy with Stylo) 2012-04-15 17:37:53 PDT
Created attachment 615211 [details] [diff] [review]
Don't assert that TI is enabled when the pref is disabled. v1

Right. Duh.

Flagging jdm for review, mostly to make absolutely sure that the pref change is scoped to this test.
Comment 2 Bobby Holley (:bholley) (busy with Stylo) 2012-04-15 17:55:04 PDT
Pushed to m-i: http://hg.mozilla.org/integration/mozilla-inbound/rev/69fdff02f85d
Comment 3 Kyle Huey [:khuey] (Exited; not receiving bugmail, email if necessary) 2012-04-15 18:16:00 PDT
This asserts when the browser starts in safe mode too.
Comment 4 Bobby Holley (:bholley) (busy with Stylo) 2012-04-15 19:11:12 PDT
(In reply to Kyle Huey [:khuey] (khuey@mozilla.com) from comment #3)
> This asserts when the browser starts in safe mode too.

Filed bug 745661 for this.
Comment 5 Paul Wright 2012-04-22 13:07:04 PDT
This was merged to M-C on 4/16/12.  Changeset 69fdff02f85d
Comment 6 Bobby Holley (:bholley) (busy with Stylo) 2012-07-26 07:50:22 PDT
resolving fixed per comment 5.

Note You need to log in before you can comment on or make changes to this bug.